<?php
/*
* File Name:           stafflist.php
*
* Name:                Staff List
*
* Version:             2.1
*
* Last modified:       2009 - 03 - 02
*
* Description:         This hack will add a Staff List to your forum. It will display information that can be edited via the Member Control Panel.
*                      This hack will include a switch to turn this feature On and Off.
*
* Compatibility:       XMB 1.9.11
*
* Author:              Roxas (Source: Roxas-os.net)
*
* Updated & Fixed by:  FunForum, JDaniels, Kuba1, miqrogroove
*
* License Note:        This mod is released under the GPL License.
*
* Notes:               Backup all affected files and templates.
*                      This hack is based on an idea by steve_mb.
*                      For the latest updates on this modification visit http://forums.xmbforum.com/
*
* History:             Version 1.0B:  Torben Rygg (torb) (http://www.kult-rpg.com/forum)
*                      Version 1.1:   Michael Fraker (Roxas) (Roxas-os.net)
*                      Version 1.2:   FunForum
*                      Version 1.3:   JDaniels
*                      Version 1.4:   Kuba1
*                      Version 2.0:   Kuba1
*                      Version 2.1:   Robert Chapin (miqrogroove)
* 
* Changes in V2.1:     - Updated for 1.9.11
* Changes in V2.0:     - Updated for 1.9.10 Karl
* Changes in V1.4:     - Updated for 1.9.8 Final SP3
*                      - Added Username Link to full profile "$staffname" var added.
* Changes in v1.2:     - Removed coding handling a "$desc" var that wasn't being created anywhere.
*                      - Removed coding handling an "$ascdesc" var that wasn't being created anywhere.
*                      - Removed coding handling an "$order" var that wasn't being created anywhere.
*                      - Removed IF statement that was handling a non existent "$where" array.
*                      - Removed IF statement and template that would be displayed if the board had NO Staff. Impossible, as there's always at least 1 Super-Admin.
*                      - Adjusted query that created the "$num" var, it now actually only counts the Staff, and not every single member.
*                      - Fixed displaying the Bio info.
*                      - Fixed Multipage support.
*                      - Adjusted coding that was handling a "$memberperpage" var that wasn't being created anywhere.
*                      - Updated templates to use the $THEME array.
*                      - Moved Seperator from 'staff_list_row' into a new 'staff_list_sep' template.
*                      - Added 'Send U2U' and 'Add to Address Book' links.
*
************************************************************************************************************************/

define('X_SCRIPT', 'stafflist.php');

// Get required files
    require 'header.php';

    loadtemplates(
    'staff_list', 
    'staff_list_separator', 
    'staff_list_row', 
    'staff_list_sep', 
    'staff_multi', 
    'misc_feature_notavailable'
    );
    
    eval('$css = "'.template('css').'";');
    
// Define Navigation
    nav($lang['SPH_stafflist']);

    eval('echo "'.template('header').'";');

// Make sure that this feature is turned on
    if ( $SETTINGS['stafflist'] != 'on' ) {
        eval('echo "'.template('misc_feature_notavailable').'";');
        eval('echo "'.template('footer').'";');
        end_time();
        exit;
    }

// Set some vars
    $SPP = 10; // Amount of Staff members to show per page.

    $sep = false;
    $catmsg = '';
    $contactlinks = '';
    $headmsg = '';
    
    $num = $db->result($db->query("SELECT count(uid) FROM ".X_PREFIX."members WHERE status !='Member' AND status !='Banned'"), 0);
    $mpage = multipage($num, $SPP, 'stafflist.php');
    $multipage =& $mpage['html'];
    if (strlen($mpage['html']) != 0) {
        eval('$multipage = "'.template('staff_multi').'";');
    }

// Create the list
    $staffs ='';
    $querymem = $db->query("SELECT * FROM ".X_PREFIX."members WHERE status !='Member' AND status !='Banned' ORDER BY uid ASC LIMIT {$mpage['start']}, $SPP");
    while ($staff = $db->fetch_array($querymem)) {
    	
    	$staffname = '<a href="member.php?action=viewpro&amp;member='.recodeOut($staff['username']).'">'.$staff['username'].'</a>';
                    

        if ( $sep ) {
            eval('$staffs .= "'.template('staff_list_sep').'";');
        } else {
            $sep = true;
        }

        $staff['regdate'] = gmdate($dateformat, $staff['regdate']);

        $staff['location'] = (empty($staff['location']) ? "&nbsp;" : censor($staff['location']));

        $staff['bio'] = (empty($staff['bio']) ? $lang['SPH_nobio'] : nl2br(censor($staff['bio'])));

        if ( $staff['bday'] === iso8601_date(0,0,0) ) {
            $staff['bday'] = $lang['textnone'];
        } else {
            $staff['bday'] = gmdate($dateformat, gmmktime(12,0,0,substr($staff['bday'],5,2),substr($staff['bday'],8,2),substr($staff['bday'],0,4)));
        }

        if ( X_STAFF ) { // This makes it so staff will see this message only, and members will see the bottom set you can change STAFF to ADMIN or SADMIN
            $catmsg = $lang['SPH_staffmsg'];
            $headmsg = $lang['SPH_staffupdate'];
        } else {
            $catmsg = $lang['SPH_staffwel'];
            $headmsg = $lang['SPH_ourstaff'];
        }

        if ( X_MEMBER ) {
            $encodeuser = recodeOut($staff['username']);
            $contactlinks = '&nbsp;&nbsp;&nbsp;<small>(<a href="u2u.php?action=send&amp;username='.$encodeuser.'" target="u2uWindow" onclick="Popup(this.href, \'u2uWindow\', 750, 450); return false;">'.$lang['textu2u'].'</a>)&nbsp; (<a href="buddy.php?action=add&amp;buddys='.$encodeuser.'" target="buddyWindow" onclick="Popup(this.href, \'buddyWindow\', 450, 400); return false;">'.$lang['addtobuddies'].'</a>)</small>';
        }

        $allowavatars = $SETTINGS['avastatus'];
        $avatar = '';
        if ($SETTINGS['avastatus'] == 'on' || $SETTINGS['avastatus'] == 'list') {
            if ($staff['avatar'] != '' && $allowavatars != "no") {
                $avatar = '<img src="'.$staff['avatar'].'" alt="'.$lang['altavatar'].'" border="0" />';
            }
        }

        eval('$staffs .= "'.template('staff_list_row').'";');
    }

eval('echo "'.template('staff_list').'";');
end_time();
eval('echo "'.template('footer').'";');
exit;
?>
